<?php

$ContentTree = ContentTree::instance();
$ContentTreeNode = $ContentTree->getRoot();
$culture = sfConfig::get('app_translations_default_language');


$properties = array();
 $properties['page'] = $ContentTreeNode->getPage();
 $properties['node'] = $ContentTreeNode->getNode();;
$properties['culture'] = $culture;
$properties['ContentTree'] = $ContentTree;
$properties['sf_request'] = $sf_request;
$properties['sf_context'] = $sf_context;

sfContext::getInstance()->getUser()->setCulture(Catalyz::getPageCulture());
setlocale(LC_TIME, Catalyz::getPageCulture(true));
$layout = $ContentTreeNode->getCurrentLayoutNameForAction();
$properties['layout_family'] = $layout[0];
$properties['layout_name'] = $layout[1];

use_helper('Catalyz');
embed_with_layout(get_partial(sfConfig::get('app_catalyz_error404', 'catalyz/error404')), $layout, $properties);

?>